Results 1 to 5 of 5

Thread: JACK 0.116.1 deb for hardy is here

  1. #1
    Join Date
    Apr 2007
    Beans
    2

    JACK 0.116.1 deb for hardy is here

    So jackd 0.109.2 from the Hardy repo is pretty borked. I've confirmed this through personal pain while recording as well as working my way through various audio forums which all agree the 109.x release from JACK is nothing but problems. Try to grab any more recent version from the repos and you'll find that they're built against later versions of some core libraries that are part of Hardy -- translation -- the debs for JACK(jackd and libjack0) beyond 0.109.2 from Ubuntu repo won't work with Hardy.

    I've gone ahead and built a deb that will install JACK 0.116.1 *ALONG SIDE* the previous installs of the jackd 0.109.2 and libjack0 0.109.2 packages. You still need to have the installs of these aforementioned packages to keep synaptic & dpkg happy since my deb is not set up to report the dependent items that it supplies. I basically took the regular "install" step for the manual build of JACK and performed it with "checkinstall" to produce my deb. I then opened up the deb and made some minor changes to the control file -- mostly instructions that can be viewed from synaptic and a post-install step which symlinks the install location of the libraries(/usr/local/) from the standard Ubuntu search path(/usr/). The new binary jackd will be in /usr/local/bin so if you're using qjack for your jack controller then be sure to update the binary path.

    to install:

    sudo dpkg -i jackd-extra_0.116.1.deb

    Enjoy.
    Attached Files Attached Files

  2. #2
    Join Date
    Feb 2008
    Beans
    1

    Re: JACK 0.116.1 deb for hardy is here

    Hi,

    I'd like to make the same for Ubuntu Intrepid Ibex.

    Could you explain better all the steps? I really need to install JACK 0.116, but it doesn't work if I compile it with the standard configure/make/checkinstall.

    Thanks,
    Marco

  3. #3
    Join Date
    Dec 2007
    Beans
    6

    Re: JACK 0.116.1 deb for hardy is here

    Hey, Steve ...
    I tryed your packaged and jack starts all right.
    But all clients I try to connect to it (Ardour, Hydrogen, Qjacktcl) make it throw a message like this:
    JACK protocol mismatch (22 vs 24)
    cannot complete client connection process

    So I will stick with buggy version 0.109.2 for now as I don't want to check for configuration options a compile it myself. That's the main reason I switched from Slackware to Ubuntu anyway: got tired of compiling stuff!

    If you know of a way to fix this please let me know.

  4. #4
    Join Date
    Sep 2008
    Beans
    55

    Re: JACK 0.116.1 deb for hardy is here

    glad i found this thread, although it happened a little too late. I just recently upgraded Jack up to 0.116.2 from source. I want to try your deb, steve, but im wondering how to get rid of the new version without deleting and reinstalling from synaptic. Is that going to be the only way to do it? Do i need to?

    Plus, im pretty miffed that ubuntu 8.04 doesnt support new versions of Jack, we need to bugger those guys into an upgrade for this.

    Thanks for the post, it saved me a lot of trial and error hell.

  5. #5
    Join Date
    May 2006
    Beans
    182

    Re: JACK 0.116.1 deb for hardy is here

    All I get is this :

    JACK protocol mismatch (22 vs 24)

    edit:
    Been fumbling around with the .asoundrc and for some reason it works now, can't really say what it was that did the trick thou, but at least it works

    Thanks for making this deb
    Last edited by Sandsound; January 16th, 2009 at 05:11 PM.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •